Search Targeting Locations
curl --request POST \
--url https://public.plai.io/meta/search_targeting_locations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"query": "<string>"
}
'import requests
url = "https://public.plai.io/meta/search_targeting_locations"
payload = {
"userId": "<string>",
"query": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', query: '<string>'})
};
fetch('https://public.plai.io/meta/search_targeting_locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"locations": [
{
"key": "<string>",
"name": "<string>",
"region": "<string>",
"country_name": "<string>",
"type": "<string>",
"country_code": "<string>",
"region_id": 123,
"supports_region": true,
"supports_city": true
}
],
"error": "<string>"
}
}Targeting
Search Targeting Locations
This endpoint allows you to search for advertising target Locations based on search query. It helps in identifying relevant locations to improve the accuracy and effectiveness of ad targeting.
POST
/
meta
/
search_targeting_locations
Search Targeting Locations
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Location Search Query, for example:
New YorkResponse
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Media Results
Show Media Results
boolean
Indicates whether the specific operation or API action was successful.
object[]
Show Location Items
Show Location Items
string
Unique location identifier
string
Display name of the location
string
Administrative region/state
string
Full country name
string
Geographic level :
city, subcity, neighborhoodstring
2-letter country code
number
Internal region identifier
boolean
Whether regional targeting is available
boolean
Whether city-level targeting is available
string
Error string if something went wrong